/* This file is here for backward compatibility with previous version of
 * header files for LPC13xx.
 * It should be used in new projects.
 * Roman Bartosinski, 5/2015
 *
 */

#ifndef _LPC13XX_BACKWARD_COMPATIBILITY_
#define _LPC13XX_BACKWARD_COMPATIBILITY_

#include <LPC13xx.h>
#include <lpcSYSCON.h>

//definition for CLK enabling masks
#define   SAHBCCTRL_SYS       SYSCON_SYSAHBCLKCTRL_SYS
#define   SAHBCCTRL_ROM       SYSCON_SYSAHBCLKCTRL_ROM
#define   SAHBCCTRL_RAM       SYSCON_SYSAHBCLKCTRL_RAM
#define   SAHBCCTRL_FLASHREG  SYSCON_SYSAHBCLKCTRL_FLASHREG
#define   SAHBCCTRL_FLASHARR  SYSCON_SYSAHBCLKCTRL_FLASHARRAY
#define   SAHBCCTRL_I2C       SYSCON_SYSAHBCLKCTRL_I2C
#define   SAHBCCTRL_GPIO      SYSCON_SYSAHBCLKCTRL_GPIO
#define   SAHBCCTRL_CT16B0    SYSCON_SYSAHBCLKCTRL_CT16B0
#define   SAHBCCTRL_CT16B1    SYSCON_SYSAHBCLKCTRL_CT16B1
#define   SAHBCCTRL_CT32B0    SYSCON_SYSAHBCLKCTRL_CT32B0
#define   SAHBCCTRL_CT32B1    SYSCON_SYSAHBCLKCTRL_CT32B1
#define   SAHBCCTRL_SSP       SYSCON_SYSAHBCLKCTRL_SSP
#define   SAHBCCTRL_UART      SYSCON_SYSAHBCLKCTRL_UART
#define   SAHBCCTRL_ADC       SYSCON_SYSAHBCLKCTRL_ADC
#define   SAHBCCTRL_USBREG    SYSCON_SYSAHBCLKCTRL_USB_REG
#define   SAHBCCTRL_WDT       SYSCON_SYSAHBCLKCTRL_WDT
#define   SAHBCCTRL_IOCON     SYSCON_SYSAHBCLKCTRL_IOCON
#define   SAHBCCTRL_SSP1      SYSCON_SYSAHBCLKCTRL_SSP1


#define   PDRUNCFG_IRCOUT_PD  SYSCON_PDRUNCFG_IRCOUT_PD
#define   PDRUNCFG_IRC_PD     SYSCON_PDRUNCFG_IRC_PD
#define   PDRUNCFG_FLASH_PD   SYSCON_PDRUNCFG_FLASH_PD
#define   PDRUNCFG_BOD_PD     SYSCON_PDRUNCFG_BOD_PD
#define   PDRUNCFG_ADC_PD     SYSCON_PDRUNCFG_ADC_PD
#define   PDRUNCFG_SYSOSC_PD  SYSCON_PDRUNCFG_SYSOSC_PD
#define   PDRUNCFG_WDTOSC_PD  SYSCON_PDRUNCFG_WDTOSC_PD
#define   PDRUNCFG_SYSPLL_PD  SYSCON_PDRUNCFG_SYSPLL_PD
#define   PDRUNCFG_USBPLL_PD  SYSCON_PDRUNCFG_USBPLL_PD
#define   PDRUNCFG_USBPAD_PD  SYSCON_PDRUNCFG_USBPAD_PD


#endif /* _LPC13XX_BACKWARD_COMPATIBILITY_ */
